export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/login/index',
    'pages/dashboard/index',
    'pages/contact/index',
    'pages/knowledge/index',
    'pages/knowledge-item/index',
    'pages/knowledge-item-editor/index',
    'pages/member/index',
    'pages/profile/index',
    'pages/agent/index',
    'pages/editor-pages/editor-personality/index',
    'pages/editor-pages/editor-greeting/index',
    'pages/editor-pages/editor-greeting-questions/index',
    'pages/voice/index',
    'pages/chat/index',
    'pages/agent-gen/index',
    'pages/editor-contact/index',
    
    'pages/test/index',
    'pages/component-library/index',
    'pages/editor-pages/editor-name/index',
    'pages/editor-pages/editor-company/index',
    'pages/editor-pages/editor-position/index',
    'pages/editor-pages/editor-phone/index',
    'pages/editor-pages/editor-email/index',
    'pages/editor-pages/editor-qrcode/index',


    
    'pages/editor-pages/editor-channels/index',
    
    
    
    
    'pages/choose-contact/index',
    'pages/page/index',
    'pages/editor-pages/editor-media/index',
    
    'pages/editor-pages/editor-chat/index',
  
    'pages/editor-pages/editor-link/index',
    'pages/editor-pages/editor-mini-program/index',
    'pages/editor-pages/editor-link-social/index',
    'pages/editor-pages/editor-link-contact/index',
    'pages/editor-pages/editor-textarea/index',
    'pages/editor-pages/editor-title/index',
    
    'pages/chat-history/index',
    
    'pages/webview/index',

  ],
  tabBar: {
    color: '#828282',
    selectedColor: '#000000',
    backgroundColor: '#f5f5f2',
    list: [
      
      {
        pagePath: 'pages/index/index',
        selectedIconPath: 'images/tabbar/home-actived.png',
        iconPath: 'images/tabbar/home.png',
        text: '主页'
      },
      {
        pagePath: 'pages/contact/index',
        selectedIconPath: 'images/tabbar/contact-actived.png',
        iconPath: 'images/tabbar/contact.png',
        text: '联系人'
      },
      
      {
        pagePath: 'pages/knowledge/index',
        selectedIconPath: 'images/tabbar/contact-actived.png',
        iconPath: 'images/tabbar/contact.png',
        text: '知识库'
      },
      
      {
        pagePath: 'pages/dashboard/index',
        selectedIconPath: 'images/tabbar/analysis-actived.png',
        iconPath: 'images/tabbar/analysis.png',
        text: '数据'
      },

      {
        pagePath: 'pages/member/index',
        selectedIconPath: 'images/tabbar/vip-actived.png',
        iconPath: 'images/tabbar/vip.png',
        text: '我的'
      }
    ]
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#f5f5f2',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColor: '#f5f5f2',
  },
  permission: {
    'scope.userLocation': {
      desc: '你的位置信息将用于小程序使用'
    }
  },
  requiredPrivateInfos: [
    'getLocation',
    'chooseAddress',
    'chooseLocation'
  ]
})
