import { View } from "@tarojs/components";
import AgentSettingList from './components/AgentSettingList'
import AgentKnowledgeLib from './components/AgentKnowledgeLib'
import AgentEmptyCard from './components/AgentEmptyCard'
import AgentContactCard from './components/AgentContactCard'

import React, { useEffect, useState } from "react";
import { getAgents, getAgent, createAgent } from "@/service/agent";
import { TAgentItem } from '@/types/agent'

export default React.memo(function Index() {
  console.log('agent setting')
  
  

  const fetchAgent = async () => {
    // const a = await getAgent()
    // console.log(a)
  }
  
  const fetchAgents = async () => {
    const a = await getAgents()
    console.log(a)
  }

  useEffect(()=> {
    fetchAgents()
  }, [])

  return (
    <View>
      <AgentEmptyCard></AgentEmptyCard>
      <View className="mb-20">
        <AgentContactCard></AgentContactCard>
      </View>
      <AgentSettingList></AgentSettingList>
      <View className="pt-20">
        <AgentKnowledgeLib></AgentKnowledgeLib>
      </View>
    </View>
  );
})
